package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.IntegralOrderMapper;
import com.ruoyi.system.domain.IntegralOrder;
import com.ruoyi.system.service.IIntegralOrderService;

/**
 * 积分订单Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
@Service
public class IntegralOrderServiceImpl implements IIntegralOrderService 
{
    @Autowired
    private IntegralOrderMapper integralOrderMapper;

    /**
     * 查询积分订单
     * 
     * @param id 积分订单主键
     * @return 积分订单
     */
    @Override
    public IntegralOrder selectIntegralOrderById(Long id)
    {
        return integralOrderMapper.selectIntegralOrderById(id);
    }

    /**
     * 查询积分订单列表
     * 
     * @param integralOrder 积分订单
     * @return 积分订单
     */
    @Override
    public List<IntegralOrder> selectIntegralOrderList(IntegralOrder integralOrder)
    {
        return integralOrderMapper.selectIntegralOrderList(integralOrder);
    }

    /**
     * 新增积分订单
     * 
     * @param integralOrder 积分订单
     * @return 结果
     */
    @Override
    public int insertIntegralOrder(IntegralOrder integralOrder)
    {
        return integralOrderMapper.insertIntegralOrder(integralOrder);
    }

    /**
     * 修改积分订单
     * 
     * @param integralOrder 积分订单
     * @return 结果
     */
    @Override
    public int updateIntegralOrder(IntegralOrder integralOrder)
    {
        return integralOrderMapper.updateIntegralOrder(integralOrder);
    }

    /**
     * 批量删除积分订单
     * 
     * @param ids 需要删除的积分订单主键
     * @return 结果
     */
    @Override
    public int deleteIntegralOrderByIds(Long[] ids)
    {
        return integralOrderMapper.deleteIntegralOrderByIds(ids);
    }

    /**
     * 删除积分订单信息
     * 
     * @param id 积分订单主键
     * @return 结果
     */
    @Override
    public int deleteIntegralOrderById(Long id)
    {
        return integralOrderMapper.deleteIntegralOrderById(id);
    }
}
